Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Problem upgrading; impossible download 'whatever.foo'

  1. #1

    Default Problem upgrading; impossible download 'whatever.foo'

    Code:
    su
    zypper refresh
    Recupero dei metadati del repository 'openSUSE-11.4-Update' [\]
    Impossibile scaricare /repodata/repomd.xml da http://download.opensuse.org/update/11.4/
    Annullare, riprovare, ignorare? [a/r/i/?] (a):
    Basically it's saying:
    Code:
    Recovering metadata from repository 'openSUSE-11.4-Update' [\]
    Impossible download /repodata/repomd.xml da http://download.opensuse.org/update/11.4/
    Abort, retry, ignore? [a/r/i/?] (a):
    The file which can't download it's not one, there are many.

    I've disabled all repository and leaved only repo-update, oss and non-oss as the guide suggest.
    As it wasn't working for the above mentioned problem, I've tried to leave only the Update one enabled, though without results.

    Code:
    zypper repos --uri                                                         
    #  | Alias                                               | Nome                                                  | abilitato | Attualizza | URI                                                                                                         
    ---+-----------------------------------------------------+-------------------------------------------------------+-----------+------------+-------------------------------------------------------------------------------------------------------------
    1  | Packman Repository                                  | Packman Repository                                    | No        | S         | http://ftp.uni-erlangen.de/pub/mirrors/packman/suse/11.3                                                    
    2  | download.opensuse.org-Extra                         | openSUSE BuildService - KDE:Extra                     | No        | S         | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_11.3/                                         
    3  | download.opensuse.org-STABLE                        | openSUSE BuildService - OpenOffice.org                | No        | S         | http://download.opensuse.org/repositories/OpenOffice.org:/STABLE/openSUSE_11.3/                             
    4  | download.opensuse.org-UpdatedApps                   | openSUSE BuildService - KDE:UpdatedApps               | No        | S         | http://download.opensuse.org/repositories/KDE:/UpdatedApps/openSUSE_11.3/                                   
    5  | download.opensuse.org-filesystems                   | openSUSE BuildService - filesystems                   | No        | S         | http://download.opensuse.org/repositories/filesystems/openSUSE_11.3/                                        
    6  | download.opensuse.org-mozilla                       | openSUSE BuildService - Mozilla                       | No        | S         | http://download.opensuse.org/repositories/mozilla/openSUSE_11.3/                                            
    7  | download.opensuse.org-openSUSE_11.3_Update_standard | openSUSE BuildService - Virtualizzazione (VirtualBox) | No        | S         | http://download.opensuse.org/repositories/Virtualization:/VirtualBox_backports/openSUSE_11.3_Update_standard
    8  | download.opensuse.org-packages                      | openSUSE BuildService - Java:packages                 | No        | S         | http://download.opensuse.org/repositories/Java:/packages/openSUSE_11.3/                                     
    9  | download.opensuse.org-perl                          | openSUSE BuildService - devel:languages:perl          | No        | S         | http://download.opensuse.org/repositories/devel:/languages:/perl/openSUSE_11.3/                             
    10 | download.opensuse.org-python                        | openSUSE BuildService - devel:languages:python        | No        | S         | http://download.opensuse.org/repositories/devel:/languages:/python/openSUSE_11.3/                           
    11 | download.opensuse.org-standard                      | Repository principale (Contrib)                       | No        | S         | http://download.opensuse.org/repositories/openSUSE:/11.3:/Contrib/standard/                                 
    12 | ftp.uni-erlangen.de-suse                            | Packman Repository                                    | No        | S         | http://ftp.uni-erlangen.de/pub/mirrors/packman/suse/11.3/                                                   
    13 | openSUSE-11.3_11.3-1.82_1                           | openSUSE-11.3-Debug                                   | No        | S         | http://download.opensuse.org/debug/distribution/11.3/repo/oss/                                              
    14 | openSUSE-11.4-Non-Oss                               | openSUSE-11.4-Non-Oss                                 | No        | S         | http://download.opensuse.org/distribution/11.4/repo/non-oss/                                                
    15 | openSUSE-11.4-Oss                                   | openSUSE-11.4-Oss                                     | No        | S         | http://download.opensuse.org/distribution/11.4/repo/oss/                                                    
    16 | openSUSE-11.4-Update                                | openSUSE-11.4-Update                                  | S        | S         | http://download.opensuse.org/update/11.4/                                                                   
    17 | openSUSE-11.4_11.3-1.82                             | openSUSE-11.4 11.3-1.82                               | No        | S         | http://download.opensuse.org/source/distribution/11.4/repo/oss/                                             
    18 | opensuse-guide.org-repo                             | libdvdcss repository                                  | No        | S         | http://opensuse-guide.org/repo/11.3/
    NOTE: "abilitato" means "enabled" and "nome" is "name


    I've also tried to download DVD iso but I'm getting boring conflict error, that take more than 20 minutes to be "dispatched" away.
    I've also tried the online guided update, but it redirects me this url: https://secure-www.novell.com/center...c77c78e68ce669 and I'm stucked here; I've tried to login (I was already registered) and then register a society, but it doesn't work and the Yast-guided-update-thing shows the "please register here and press Continue button" message, in an infinite loop.

    My openSUSE is "clean", in the sense that I've only installed Opera, VirtualBox, skype and Xen.

  2. #2
    Join Date
    Aug 2008
    Location
    Seattle, WA
    Posts
    1,376

    Default Re: Problem upgrading; impossible download 'whatever.foo'

    What version of openSUSE do you have? I ask because you have the 11.4 updates and oss, but everything else appears to be 11.3.

  3. #3
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Problem upgrading; impossible download 'whatever.foo'

    do two things

    1. before you try again enable repos 1, 14, 15 (because they might be
    needed to pull in dependencies supporting the updates waiting)

    2. instead of using "su" use "su -" to become root....maybe that will
    work, maybe not...

    3. if not, it might a temporary problem with the download server you are
    connected to....the address software.opensuse.org is actually a
    re-director, and maybe you are being redirected to a temporally
    non-functioning mirror...so, go to http://mirrors.opensuse.org/

    select a nearby mirror and see if you can use one of them successfully..

    --
    CAVEAT: http://is.gd/bpoMD
    [openSUSE 11.3 + KDE4.5.5 + Thunderbird3.1.8 via NNTP]
    HACK Everything -> http://www.youtube.com/watch?v=j5b4CCe9pS8&NR=1

  4. #4
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Problem upgrading; impossible download 'whatever.foo'

    On 05/03/2011 06:06 PM, chief sealth wrote:
    >
    > What version of openSUSE do you have? I ask because you have the 11.4
    > updates and oss, but everything else appears to be 11.3.


    wow, nice catch!!

    --
    CAVEAT: http://is.gd/bpoMD
    [openSUSE 11.3 + KDE4.5.5 + Thunderbird3.1.8 via NNTP]
    HACK Everything -> http://www.youtube.com/watch?v=j5b4CCe9pS8&NR=1

  5. #5
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,138

    Default Re: Problem upgrading; impossible download 'whatever.foo'

    I am completely with @chief_seath. What are you trying to upgrade from what. Which scenario ar you trying to follow and at which step are you there. I can not imagine a scenario where your present situation fits.
    Henk van Velden

  6. #6

    Default Re: Problem upgrading; impossible download 'whatever.foo'

    Code:
    find /etc/zypp/repos.d/ -iname "*update*" -exec cat "{}" ";"

  7. #7

    Default Re: Problem upgrading; impossible download 'whatever.foo'

    I'm trying to upgrade from 11.3 to 11.4, so I have disabled all repository except the new 11.4'ones.

  8. #8
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,138

    Default Re: Problem upgrading; impossible download 'whatever.foo'

    Quote Originally Posted by Buntolo View Post
    I'm trying to upgrade from 11.3 to 11.4, so I have disabled all repository except the new 11.4'ones.
    No you didn't. From the 3 openSUSE 11.4 ones (14, 15 and 16) only 16 (Update) is enabled. You should enable 14 and 15 also and then do a
    Code:
    zypper ref
    zypper dup
    Henk van Velden

  9. #9

    Default Re: Problem upgrading; impossible download 'whatever.foo'

    Quote Originally Posted by hcvv View Post
    No you didn't. From the 3 openSUSE 11.4 ones (14, 15 and 16) only 16 (Update) is enabled. You should enable 14 and 15 also and then do a
    Code:
    zypper ref
    zypper dup
    I've already tried:
    Quote Originally Posted by Buntolo
    I've disabled all repository and leaved only repo-update, oss and non-oss as the guide suggest.
    As it wasn't working for the above mentioned problem, I've tried to leave only the Update one enabled, though without results.

  10. #10
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Problem upgrading; impossible download 'whatever.foo'

    On 2011-05-03 18:06, chief sealth wrote:
    >
    > What version of openSUSE do you have? I ask because you have the 11.4
    > updates and oss, but everything else appears to be 11.3.


    He is in the midlle of the upgrade process: several dissabled repos for the
    running version, 11.3, and one (should be three) enabled repos for 11.4.

    Almost normal :-)


    Buntolo:

    A trick. Create this script in /usr/local/bin/english:

    Code:
    #!/bin/sh
    LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 DICTIONARY=english KDE_LANG=en_US.UTF-8
    $*
    Then you run "english command" and it will print the output in english, for
    easier pasting questions here :-)

    You could try with a browser the link
    <http://download.opensuse.org/update/11.4/> and see what you get. Check the
    proxy configuration in /etc/sysconfig/something. It could also be a problem
    with the mirror you get redirected to. You could write another.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.2 x86_64 "Emerald" at Telcontar)

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •